Share via


Admin Rule Collections - Delete

Deletes an admin rule collection.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/securityAdminConfigurations/{configurationName}/ruleCollections/{ruleCollectionName}?api-version=2025-05-01
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/securityAdminConfigurations/{configurationName}/ruleCollections/{ruleCollectionName}?api-version=2025-05-01&force={force}

URI Parameters

Name In Required Type Description
configurationName
path True

string

The name of the network manager Security Configuration.

networkManagerName
path True

string

pattern: ^[0-9a-zA-Z]([0-9a-zA-Z_.-]{0,62}[0-9a-zA-Z_])?$

The name of the network manager.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

ruleCollectionName
path True

string

The name of the network manager security Configuration rule collection.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

force
query

boolean

Deletes the resource even if it is part of a deployed configuration. If the configuration has been deployed, the service will do a cleanup deployment in the background, prior to the delete.

Responses

Name Type Description
200 OK

Resource deleted successfully.

202 Accepted

Resource deletion accepted.

Headers

  • Location: string
  • Retry-After: integer
204 No Content

Resource does not exist.

Other Status Codes

CommonErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Deletes an admin rule collection

Sample request

DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkManagers/testNetworkManager/securityAdminConfigurations/myTestSecurityConfig/ruleCollections/testRuleCollection?api-version=2025-05-01&force=False

Sample response

Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/SampleRG/providers/Microsoft.Network/networkManagers/TestNM/securityAdminConfigurations/myTestSecurityConfig/ruleCollections/testRuleCollection/operationResults/00000000-0000-0000-0000-000000000000?api-version=2025-05-01

Definitions

Name Description
CommonErrorAdditionalInfo

The resource management error additional info.

CommonErrorDetail

The error detail.

CommonErrorResponse

Error response

CommonErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

The additional info.

type

string

The additional info type.

CommonErrorDetail

The error detail.

Name Type Description
additionalInfo

CommonErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

CommonErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

CommonErrorResponse

Error response

Name Type Description
error

CommonErrorDetail

The error object.